---
title: PresentationConnection.send()
slug: Web/API/PresentationConnection/send
tags:
  - API
  - Experimental
  - Method
  - NeedsContent
  - NeedsExample
  - Presentation API
  - PresentationConnection
  - Reference
  - send
---
<div>{{APIRef("Presentation")}}</div>

<p>The <strong><code>send()</code></strong> method of the {{domxref("PresentationConnection")}} interface tells a controlling browsing context to send binary or text data to a presenting browsing context.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">PresentationConnection.send(data);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>data</code></dt>
 <dd>The data to send to the presentation context. It will be one of the following:
 <ul>
  <li>{{jsxref("String")}}</li>
  <li>{{domxref("Blob")}}</li>
  <li>{{jsxref("Array")}}</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Presentation', '#dom-presentationconnection-send', 'send()')}}</td>
   <td>{{Spec2('Presentation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PresentationConnection.send")}}</p>
